Update Graph Member Role
put
/v1/graphs/{graph_id}/members/{user_id}Part of Graph Members.
Change an explicit member's graph role. Requires graph admin. Implicit org owner/admin access is managed through org roles.
Authentication
Authenticate in any one of these ways — not all of them:
- API key in the
X-API-Keyheader. - Bearer token in the
Authorizationheader.
Path parameters
| Name | Type | Description |
|---|---|---|
user_idrequired | string | User Id |
graph_idrequired | string | Graph identifier |
Request body
Required, application/json.
| Field | Type | Description |
|---|---|---|
rolerequired | GraphRole | Ordered per-graph roles: viewer < member < admin. One of: |
Example request
curl
curl -X PUT "https://api.robosystems.ai/v1/graphs/{graph_id}/members/{user_id}" \
-H "X-API-Key: $ROBOSYSTEMS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"role": "string"
}'Responses
200 Successful Response
| Field | Type | Description |
|---|---|---|
user_idrequired | string | |
namerequired | string | |
emailrequired | string | |
rolerequired | GraphRole | Ordered per-graph roles: viewer < member < admin. One of: |
sourcerequired | string | 'explicit' for a direct grant; 'org_role' for implicit admin held by org owners/admins One of: |
granted_atoptional | string (date-time) | When the explicit grant was created (null for implicit access) |
| Status | Meaning |
|---|---|
| 400 | Invalid request |
| 401 | Authentication required |
| 403 | Access denied |
| 404 | Resource not found |
| 422 | Validation Error |
| 429 | Rate limit exceeded |
| 500 | Internal server error |